IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network23.2.4.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
23.2.4.0- Broadcast address
23.2.7.255- First usable
23.2.4.1- Last usable
23.2.7.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
17020400· Integer386008064to386009087 - Reverse DNS zones
4.2.23.in-addr.arpa5.2.23.in-addr.arpa6.2.23.in-addr.arpa7.2.23.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00010111.00000010.00000100.00000000 | 23.2.4.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00010111.00000010.00000100.00000000 | 23.2.4.0 |
| Broadcast | 00010111.00000010.00000111.11111111 | 23.2.7.255 |
Split into smaller subnets
23.2.4.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 23.2.4.0/32 | 23.2.4.0 to 23.2.4.0 | — | 1 |
| 2 | 23.2.4.1/32 | 23.2.4.1 to 23.2.4.1 | — | 1 |
| 3 | 23.2.4.2/32 | 23.2.4.2 to 23.2.4.2 | — | 1 |
| 4 | 23.2.4.3/32 | 23.2.4.3 to 23.2.4.3 | — | 1 |
| 5 | 23.2.4.4/32 | 23.2.4.4 to 23.2.4.4 | — | 1 |
| 6 | 23.2.4.5/32 | 23.2.4.5 to 23.2.4.5 | — | 1 |
| 7 | 23.2.4.6/32 | 23.2.4.6 to 23.2.4.6 | — | 1 |
| 8 | 23.2.4.7/32 | 23.2.4.7 to 23.2.4.7 | — | 1 |
| 9 | 23.2.4.8/32 | 23.2.4.8 to 23.2.4.8 | — | 1 |
| 10 | 23.2.4.9/32 | 23.2.4.9 to 23.2.4.9 | — | 1 |
| 11 | 23.2.4.10/32 | 23.2.4.10 to 23.2.4.10 | — | 1 |
| 12 | 23.2.4.11/32 | 23.2.4.11 to 23.2.4.11 | — | 1 |
| 13 | 23.2.4.12/32 | 23.2.4.12 to 23.2.4.12 | — | 1 |
| 14 | 23.2.4.13/32 | 23.2.4.13 to 23.2.4.13 | — | 1 |
| 15 | 23.2.4.14/32 | 23.2.4.14 to 23.2.4.14 | — | 1 |
| 16 | 23.2.4.15/32 | 23.2.4.15 to 23.2.4.15 | — | 1 |
| 17 | 23.2.4.16/32 | 23.2.4.16 to 23.2.4.16 | — | 1 |
| 18 | 23.2.4.17/32 | 23.2.4.17 to 23.2.4.17 | — | 1 |
| 19 | 23.2.4.18/32 | 23.2.4.18 to 23.2.4.18 | — | 1 |
| 20 | 23.2.4.19/32 | 23.2.4.19 to 23.2.4.19 | — | 1 |
| 21 | 23.2.4.20/32 | 23.2.4.20 to 23.2.4.20 | — | 1 |
| 22 | 23.2.4.21/32 | 23.2.4.21 to 23.2.4.21 | — | 1 |
| 23 | 23.2.4.22/32 | 23.2.4.22 to 23.2.4.22 | — | 1 |
| 24 | 23.2.4.23/32 | 23.2.4.23 to 23.2.4.23 | — | 1 |
| 25 | 23.2.4.24/32 | 23.2.4.24 to 23.2.4.24 | — | 1 |
| 26 | 23.2.4.25/32 | 23.2.4.25 to 23.2.4.25 | — | 1 |
| 27 | 23.2.4.26/32 | 23.2.4.26 to 23.2.4.26 | — | 1 |
| 28 | 23.2.4.27/32 | 23.2.4.27 to 23.2.4.27 | — | 1 |
| 29 | 23.2.4.28/32 | 23.2.4.28 to 23.2.4.28 | — | 1 |
| 30 | 23.2.4.29/32 | 23.2.4.29 to 23.2.4.29 | — | 1 |
| 31 | 23.2.4.30/32 | 23.2.4.30 to 23.2.4.30 | — | 1 |
| 32 | 23.2.4.31/32 | 23.2.4.31 to 23.2.4.31 | — | 1 |
| 33 | 23.2.4.32/32 | 23.2.4.32 to 23.2.4.32 | — | 1 |
| 34 | 23.2.4.33/32 | 23.2.4.33 to 23.2.4.33 | — | 1 |
| 35 | 23.2.4.34/32 | 23.2.4.34 to 23.2.4.34 | — | 1 |
| 36 | 23.2.4.35/32 | 23.2.4.35 to 23.2.4.35 | — | 1 |
| 37 | 23.2.4.36/32 | 23.2.4.36 to 23.2.4.36 | — | 1 |
| 38 | 23.2.4.37/32 | 23.2.4.37 to 23.2.4.37 | — | 1 |
| 39 | 23.2.4.38/32 | 23.2.4.38 to 23.2.4.38 | — | 1 |
| 40 | 23.2.4.39/32 | 23.2.4.39 to 23.2.4.39 | — | 1 |
| 41 | 23.2.4.40/32 | 23.2.4.40 to 23.2.4.40 | — | 1 |
| 42 | 23.2.4.41/32 | 23.2.4.41 to 23.2.4.41 | — | 1 |
| 43 | 23.2.4.42/32 | 23.2.4.42 to 23.2.4.42 | — | 1 |
| 44 | 23.2.4.43/32 | 23.2.4.43 to 23.2.4.43 | — | 1 |
| 45 | 23.2.4.44/32 | 23.2.4.44 to 23.2.4.44 | — | 1 |
| 46 | 23.2.4.45/32 | 23.2.4.45 to 23.2.4.45 | — | 1 |
| 47 | 23.2.4.46/32 | 23.2.4.46 to 23.2.4.46 | — | 1 |
| 48 | 23.2.4.47/32 | 23.2.4.47 to 23.2.4.47 | — | 1 |
| 49 | 23.2.4.48/32 | 23.2.4.48 to 23.2.4.48 | — | 1 |
| 50 | 23.2.4.49/32 | 23.2.4.49 to 23.2.4.49 | — | 1 |
| 51 | 23.2.4.50/32 | 23.2.4.50 to 23.2.4.50 | — | 1 |
| 52 | 23.2.4.51/32 | 23.2.4.51 to 23.2.4.51 | — | 1 |
| 53 | 23.2.4.52/32 | 23.2.4.52 to 23.2.4.52 | — | 1 |
| 54 | 23.2.4.53/32 | 23.2.4.53 to 23.2.4.53 | — | 1 |
| 55 | 23.2.4.54/32 | 23.2.4.54 to 23.2.4.54 | — | 1 |
| 56 | 23.2.4.55/32 | 23.2.4.55 to 23.2.4.55 | — | 1 |
| 57 | 23.2.4.56/32 | 23.2.4.56 to 23.2.4.56 | — | 1 |
| 58 | 23.2.4.57/32 | 23.2.4.57 to 23.2.4.57 | — | 1 |
| 59 | 23.2.4.58/32 | 23.2.4.58 to 23.2.4.58 | — | 1 |
| 60 | 23.2.4.59/32 | 23.2.4.59 to 23.2.4.59 | — | 1 |
| 61 | 23.2.4.60/32 | 23.2.4.60 to 23.2.4.60 | — | 1 |
| 62 | 23.2.4.61/32 | 23.2.4.61 to 23.2.4.61 | — | 1 |
| 63 | 23.2.4.62/32 | 23.2.4.62 to 23.2.4.62 | — | 1 |
| 64 | 23.2.4.63/32 | 23.2.4.63 to 23.2.4.63 | — | 1 |
| 65 | 23.2.4.64/32 | 23.2.4.64 to 23.2.4.64 | — | 1 |
| 66 | 23.2.4.65/32 | 23.2.4.65 to 23.2.4.65 | — | 1 |
| 67 | 23.2.4.66/32 | 23.2.4.66 to 23.2.4.66 | — | 1 |
| 68 | 23.2.4.67/32 | 23.2.4.67 to 23.2.4.67 | — | 1 |
| 69 | 23.2.4.68/32 | 23.2.4.68 to 23.2.4.68 | — | 1 |
| 70 | 23.2.4.69/32 | 23.2.4.69 to 23.2.4.69 | — | 1 |
| 71 | 23.2.4.70/32 | 23.2.4.70 to 23.2.4.70 | — | 1 |
| 72 | 23.2.4.71/32 | 23.2.4.71 to 23.2.4.71 | — | 1 |
| 73 | 23.2.4.72/32 | 23.2.4.72 to 23.2.4.72 | — | 1 |
| 74 | 23.2.4.73/32 | 23.2.4.73 to 23.2.4.73 | — | 1 |
| 75 | 23.2.4.74/32 | 23.2.4.74 to 23.2.4.74 | — | 1 |
| 76 | 23.2.4.75/32 | 23.2.4.75 to 23.2.4.75 | — | 1 |
| 77 | 23.2.4.76/32 | 23.2.4.76 to 23.2.4.76 | — | 1 |
| 78 | 23.2.4.77/32 | 23.2.4.77 to 23.2.4.77 | — | 1 |
| 79 | 23.2.4.78/32 | 23.2.4.78 to 23.2.4.78 | — | 1 |
| 80 | 23.2.4.79/32 | 23.2.4.79 to 23.2.4.79 | — | 1 |
| 81 | 23.2.4.80/32 | 23.2.4.80 to 23.2.4.80 | — | 1 |
| 82 | 23.2.4.81/32 | 23.2.4.81 to 23.2.4.81 | — | 1 |
| 83 | 23.2.4.82/32 | 23.2.4.82 to 23.2.4.82 | — | 1 |
| 84 | 23.2.4.83/32 | 23.2.4.83 to 23.2.4.83 | — | 1 |
| 85 | 23.2.4.84/32 | 23.2.4.84 to 23.2.4.84 | — | 1 |
| 86 | 23.2.4.85/32 | 23.2.4.85 to 23.2.4.85 | — | 1 |
| 87 | 23.2.4.86/32 | 23.2.4.86 to 23.2.4.86 | — | 1 |
| 88 | 23.2.4.87/32 | 23.2.4.87 to 23.2.4.87 | — | 1 |
| 89 | 23.2.4.88/32 | 23.2.4.88 to 23.2.4.88 | — | 1 |
| 90 | 23.2.4.89/32 | 23.2.4.89 to 23.2.4.89 | — | 1 |
| 91 | 23.2.4.90/32 | 23.2.4.90 to 23.2.4.90 | — | 1 |
| 92 | 23.2.4.91/32 | 23.2.4.91 to 23.2.4.91 | — | 1 |
| 93 | 23.2.4.92/32 | 23.2.4.92 to 23.2.4.92 | — | 1 |
| 94 | 23.2.4.93/32 | 23.2.4.93 to 23.2.4.93 | — | 1 |
| 95 | 23.2.4.94/32 | 23.2.4.94 to 23.2.4.94 | — | 1 |
| 96 | 23.2.4.95/32 | 23.2.4.95 to 23.2.4.95 | — | 1 |
| 97 | 23.2.4.96/32 | 23.2.4.96 to 23.2.4.96 | — | 1 |
| 98 | 23.2.4.97/32 | 23.2.4.97 to 23.2.4.97 | — | 1 |
| 99 | 23.2.4.98/32 | 23.2.4.98 to 23.2.4.98 | — | 1 |
| 100 | 23.2.4.99/32 | 23.2.4.99 to 23.2.4.99 | — | 1 |
| 101 | 23.2.4.100/32 | 23.2.4.100 to 23.2.4.100 | — | 1 |
| 102 | 23.2.4.101/32 | 23.2.4.101 to 23.2.4.101 | — | 1 |
| 103 | 23.2.4.102/32 | 23.2.4.102 to 23.2.4.102 | — | 1 |
| 104 | 23.2.4.103/32 | 23.2.4.103 to 23.2.4.103 | — | 1 |
| 105 | 23.2.4.104/32 | 23.2.4.104 to 23.2.4.104 | — | 1 |
| 106 | 23.2.4.105/32 | 23.2.4.105 to 23.2.4.105 | — | 1 |
| 107 | 23.2.4.106/32 | 23.2.4.106 to 23.2.4.106 | — | 1 |
| 108 | 23.2.4.107/32 | 23.2.4.107 to 23.2.4.107 | — | 1 |
| 109 | 23.2.4.108/32 | 23.2.4.108 to 23.2.4.108 | — | 1 |
| 110 | 23.2.4.109/32 | 23.2.4.109 to 23.2.4.109 | — | 1 |
| 111 | 23.2.4.110/32 | 23.2.4.110 to 23.2.4.110 | — | 1 |
| 112 | 23.2.4.111/32 | 23.2.4.111 to 23.2.4.111 | — | 1 |
| 113 | 23.2.4.112/32 | 23.2.4.112 to 23.2.4.112 | — | 1 |
| 114 | 23.2.4.113/32 | 23.2.4.113 to 23.2.4.113 | — | 1 |
| 115 | 23.2.4.114/32 | 23.2.4.114 to 23.2.4.114 | — | 1 |
| 116 | 23.2.4.115/32 | 23.2.4.115 to 23.2.4.115 | — | 1 |
| 117 | 23.2.4.116/32 | 23.2.4.116 to 23.2.4.116 | — | 1 |
| 118 | 23.2.4.117/32 | 23.2.4.117 to 23.2.4.117 | — | 1 |
| 119 | 23.2.4.118/32 | 23.2.4.118 to 23.2.4.118 | — | 1 |
| 120 | 23.2.4.119/32 | 23.2.4.119 to 23.2.4.119 | — | 1 |
| 121 | 23.2.4.120/32 | 23.2.4.120 to 23.2.4.120 | — | 1 |
| 122 | 23.2.4.121/32 | 23.2.4.121 to 23.2.4.121 | — | 1 |
| 123 | 23.2.4.122/32 | 23.2.4.122 to 23.2.4.122 | — | 1 |
| 124 | 23.2.4.123/32 | 23.2.4.123 to 23.2.4.123 | — | 1 |
| 125 | 23.2.4.124/32 | 23.2.4.124 to 23.2.4.124 | — | 1 |
| 126 | 23.2.4.125/32 | 23.2.4.125 to 23.2.4.125 | — | 1 |
| 127 | 23.2.4.126/32 | 23.2.4.126 to 23.2.4.126 | — | 1 |
| 128 | 23.2.4.127/32 | 23.2.4.127 to 23.2.4.127 | — | 1 |
| 129 | 23.2.4.128/32 | 23.2.4.128 to 23.2.4.128 | — | 1 |
| 130 | 23.2.4.129/32 | 23.2.4.129 to 23.2.4.129 | — | 1 |
| 131 | 23.2.4.130/32 | 23.2.4.130 to 23.2.4.130 | — | 1 |
| 132 | 23.2.4.131/32 | 23.2.4.131 to 23.2.4.131 | — | 1 |
| 133 | 23.2.4.132/32 | 23.2.4.132 to 23.2.4.132 | — | 1 |
| 134 | 23.2.4.133/32 | 23.2.4.133 to 23.2.4.133 | — | 1 |
| 135 | 23.2.4.134/32 | 23.2.4.134 to 23.2.4.134 | — | 1 |
| 136 | 23.2.4.135/32 | 23.2.4.135 to 23.2.4.135 | — | 1 |
| 137 | 23.2.4.136/32 | 23.2.4.136 to 23.2.4.136 | — | 1 |
| 138 | 23.2.4.137/32 | 23.2.4.137 to 23.2.4.137 | — | 1 |
| 139 | 23.2.4.138/32 | 23.2.4.138 to 23.2.4.138 | — | 1 |
| 140 | 23.2.4.139/32 | 23.2.4.139 to 23.2.4.139 | — | 1 |
| 141 | 23.2.4.140/32 | 23.2.4.140 to 23.2.4.140 | — | 1 |
| 142 | 23.2.4.141/32 | 23.2.4.141 to 23.2.4.141 | — | 1 |
| 143 | 23.2.4.142/32 | 23.2.4.142 to 23.2.4.142 | — | 1 |
| 144 | 23.2.4.143/32 | 23.2.4.143 to 23.2.4.143 | — | 1 |
| 145 | 23.2.4.144/32 | 23.2.4.144 to 23.2.4.144 | — | 1 |
| 146 | 23.2.4.145/32 | 23.2.4.145 to 23.2.4.145 | — | 1 |
| 147 | 23.2.4.146/32 | 23.2.4.146 to 23.2.4.146 | — | 1 |
| 148 | 23.2.4.147/32 | 23.2.4.147 to 23.2.4.147 | — | 1 |
| 149 | 23.2.4.148/32 | 23.2.4.148 to 23.2.4.148 | — | 1 |
| 150 | 23.2.4.149/32 | 23.2.4.149 to 23.2.4.149 | — | 1 |
| 151 | 23.2.4.150/32 | 23.2.4.150 to 23.2.4.150 | — | 1 |
| 152 | 23.2.4.151/32 | 23.2.4.151 to 23.2.4.151 | — | 1 |
| 153 | 23.2.4.152/32 | 23.2.4.152 to 23.2.4.152 | — | 1 |
| 154 | 23.2.4.153/32 | 23.2.4.153 to 23.2.4.153 | — | 1 |
| 155 | 23.2.4.154/32 | 23.2.4.154 to 23.2.4.154 | — | 1 |
| 156 | 23.2.4.155/32 | 23.2.4.155 to 23.2.4.155 | — | 1 |
| 157 | 23.2.4.156/32 | 23.2.4.156 to 23.2.4.156 | — | 1 |
| 158 | 23.2.4.157/32 | 23.2.4.157 to 23.2.4.157 | — | 1 |
| 159 | 23.2.4.158/32 | 23.2.4.158 to 23.2.4.158 | — | 1 |
| 160 | 23.2.4.159/32 | 23.2.4.159 to 23.2.4.159 | — | 1 |
| 161 | 23.2.4.160/32 | 23.2.4.160 to 23.2.4.160 | — | 1 |
| 162 | 23.2.4.161/32 | 23.2.4.161 to 23.2.4.161 | — | 1 |
| 163 | 23.2.4.162/32 | 23.2.4.162 to 23.2.4.162 | — | 1 |
| 164 | 23.2.4.163/32 | 23.2.4.163 to 23.2.4.163 | — | 1 |
| 165 | 23.2.4.164/32 | 23.2.4.164 to 23.2.4.164 | — | 1 |
| 166 | 23.2.4.165/32 | 23.2.4.165 to 23.2.4.165 | — | 1 |
| 167 | 23.2.4.166/32 | 23.2.4.166 to 23.2.4.166 | — | 1 |
| 168 | 23.2.4.167/32 | 23.2.4.167 to 23.2.4.167 | — | 1 |
| 169 | 23.2.4.168/32 | 23.2.4.168 to 23.2.4.168 | — | 1 |
| 170 | 23.2.4.169/32 | 23.2.4.169 to 23.2.4.169 | — | 1 |
| 171 | 23.2.4.170/32 | 23.2.4.170 to 23.2.4.170 | — | 1 |
| 172 | 23.2.4.171/32 | 23.2.4.171 to 23.2.4.171 | — | 1 |
| 173 | 23.2.4.172/32 | 23.2.4.172 to 23.2.4.172 | — | 1 |
| 174 | 23.2.4.173/32 | 23.2.4.173 to 23.2.4.173 | — | 1 |
| 175 | 23.2.4.174/32 | 23.2.4.174 to 23.2.4.174 | — | 1 |
| 176 | 23.2.4.175/32 | 23.2.4.175 to 23.2.4.175 | — | 1 |
| 177 | 23.2.4.176/32 | 23.2.4.176 to 23.2.4.176 | — | 1 |
| 178 | 23.2.4.177/32 | 23.2.4.177 to 23.2.4.177 | — | 1 |
| 179 | 23.2.4.178/32 | 23.2.4.178 to 23.2.4.178 | — | 1 |
| 180 | 23.2.4.179/32 | 23.2.4.179 to 23.2.4.179 | — | 1 |
| 181 | 23.2.4.180/32 | 23.2.4.180 to 23.2.4.180 | — | 1 |
| 182 | 23.2.4.181/32 | 23.2.4.181 to 23.2.4.181 | — | 1 |
| 183 | 23.2.4.182/32 | 23.2.4.182 to 23.2.4.182 | — | 1 |
| 184 | 23.2.4.183/32 | 23.2.4.183 to 23.2.4.183 | — | 1 |
| 185 | 23.2.4.184/32 | 23.2.4.184 to 23.2.4.184 | — | 1 |
| 186 | 23.2.4.185/32 | 23.2.4.185 to 23.2.4.185 | — | 1 |
| 187 | 23.2.4.186/32 | 23.2.4.186 to 23.2.4.186 | — | 1 |
| 188 | 23.2.4.187/32 | 23.2.4.187 to 23.2.4.187 | — | 1 |
| 189 | 23.2.4.188/32 | 23.2.4.188 to 23.2.4.188 | — | 1 |
| 190 | 23.2.4.189/32 | 23.2.4.189 to 23.2.4.189 | — | 1 |
| 191 | 23.2.4.190/32 | 23.2.4.190 to 23.2.4.190 | — | 1 |
| 192 | 23.2.4.191/32 | 23.2.4.191 to 23.2.4.191 | — | 1 |
| 193 | 23.2.4.192/32 | 23.2.4.192 to 23.2.4.192 | — | 1 |
| 194 | 23.2.4.193/32 | 23.2.4.193 to 23.2.4.193 | — | 1 |
| 195 | 23.2.4.194/32 | 23.2.4.194 to 23.2.4.194 | — | 1 |
| 196 | 23.2.4.195/32 | 23.2.4.195 to 23.2.4.195 | — | 1 |
| 197 | 23.2.4.196/32 | 23.2.4.196 to 23.2.4.196 | — | 1 |
| 198 | 23.2.4.197/32 | 23.2.4.197 to 23.2.4.197 | — | 1 |
| 199 | 23.2.4.198/32 | 23.2.4.198 to 23.2.4.198 | — | 1 |
| 200 | 23.2.4.199/32 | 23.2.4.199 to 23.2.4.199 | — | 1 |
| 201 | 23.2.4.200/32 | 23.2.4.200 to 23.2.4.200 | — | 1 |
| 202 | 23.2.4.201/32 | 23.2.4.201 to 23.2.4.201 | — | 1 |
| 203 | 23.2.4.202/32 | 23.2.4.202 to 23.2.4.202 | — | 1 |
| 204 | 23.2.4.203/32 | 23.2.4.203 to 23.2.4.203 | — | 1 |
| 205 | 23.2.4.204/32 | 23.2.4.204 to 23.2.4.204 | — | 1 |
| 206 | 23.2.4.205/32 | 23.2.4.205 to 23.2.4.205 | — | 1 |
| 207 | 23.2.4.206/32 | 23.2.4.206 to 23.2.4.206 | — | 1 |
| 208 | 23.2.4.207/32 | 23.2.4.207 to 23.2.4.207 | — | 1 |
| 209 | 23.2.4.208/32 | 23.2.4.208 to 23.2.4.208 | — | 1 |
| 210 | 23.2.4.209/32 | 23.2.4.209 to 23.2.4.209 | — | 1 |
| 211 | 23.2.4.210/32 | 23.2.4.210 to 23.2.4.210 | — | 1 |
| 212 | 23.2.4.211/32 | 23.2.4.211 to 23.2.4.211 | — | 1 |
| 213 | 23.2.4.212/32 | 23.2.4.212 to 23.2.4.212 | — | 1 |
| 214 | 23.2.4.213/32 | 23.2.4.213 to 23.2.4.213 | — | 1 |
| 215 | 23.2.4.214/32 | 23.2.4.214 to 23.2.4.214 | — | 1 |
| 216 | 23.2.4.215/32 | 23.2.4.215 to 23.2.4.215 | — | 1 |
| 217 | 23.2.4.216/32 | 23.2.4.216 to 23.2.4.216 | — | 1 |
| 218 | 23.2.4.217/32 | 23.2.4.217 to 23.2.4.217 | — | 1 |
| 219 | 23.2.4.218/32 | 23.2.4.218 to 23.2.4.218 | — | 1 |
| 220 | 23.2.4.219/32 | 23.2.4.219 to 23.2.4.219 | — | 1 |
| 221 | 23.2.4.220/32 | 23.2.4.220 to 23.2.4.220 | — | 1 |
| 222 | 23.2.4.221/32 | 23.2.4.221 to 23.2.4.221 | — | 1 |
| 223 | 23.2.4.222/32 | 23.2.4.222 to 23.2.4.222 | — | 1 |
| 224 | 23.2.4.223/32 | 23.2.4.223 to 23.2.4.223 | — | 1 |
| 225 | 23.2.4.224/32 | 23.2.4.224 to 23.2.4.224 | — | 1 |
| 226 | 23.2.4.225/32 | 23.2.4.225 to 23.2.4.225 | — | 1 |
| 227 | 23.2.4.226/32 | 23.2.4.226 to 23.2.4.226 | — | 1 |
| 228 | 23.2.4.227/32 | 23.2.4.227 to 23.2.4.227 | — | 1 |
| 229 | 23.2.4.228/32 | 23.2.4.228 to 23.2.4.228 | — | 1 |
| 230 | 23.2.4.229/32 | 23.2.4.229 to 23.2.4.229 | — | 1 |
| 231 | 23.2.4.230/32 | 23.2.4.230 to 23.2.4.230 | — | 1 |
| 232 | 23.2.4.231/32 | 23.2.4.231 to 23.2.4.231 | — | 1 |
| 233 | 23.2.4.232/32 | 23.2.4.232 to 23.2.4.232 | — | 1 |
| 234 | 23.2.4.233/32 | 23.2.4.233 to 23.2.4.233 | — | 1 |
| 235 | 23.2.4.234/32 | 23.2.4.234 to 23.2.4.234 | — | 1 |
| 236 | 23.2.4.235/32 | 23.2.4.235 to 23.2.4.235 | — | 1 |
| 237 | 23.2.4.236/32 | 23.2.4.236 to 23.2.4.236 | — | 1 |
| 238 | 23.2.4.237/32 | 23.2.4.237 to 23.2.4.237 | — | 1 |
| 239 | 23.2.4.238/32 | 23.2.4.238 to 23.2.4.238 | — | 1 |
| 240 | 23.2.4.239/32 | 23.2.4.239 to 23.2.4.239 | — | 1 |
| 241 | 23.2.4.240/32 | 23.2.4.240 to 23.2.4.240 | — | 1 |
| 242 | 23.2.4.241/32 | 23.2.4.241 to 23.2.4.241 | — | 1 |
| 243 | 23.2.4.242/32 | 23.2.4.242 to 23.2.4.242 | — | 1 |
| 244 | 23.2.4.243/32 | 23.2.4.243 to 23.2.4.243 | — | 1 |
| 245 | 23.2.4.244/32 | 23.2.4.244 to 23.2.4.244 | — | 1 |
| 246 | 23.2.4.245/32 | 23.2.4.245 to 23.2.4.245 | — | 1 |
| 247 | 23.2.4.246/32 | 23.2.4.246 to 23.2.4.246 | — | 1 |
| 248 | 23.2.4.247/32 | 23.2.4.247 to 23.2.4.247 | — | 1 |
| 249 | 23.2.4.248/32 | 23.2.4.248 to 23.2.4.248 | — | 1 |
| 250 | 23.2.4.249/32 | 23.2.4.249 to 23.2.4.249 | — | 1 |
| 251 | 23.2.4.250/32 | 23.2.4.250 to 23.2.4.250 | — | 1 |
| 252 | 23.2.4.251/32 | 23.2.4.251 to 23.2.4.251 | — | 1 |
| 253 | 23.2.4.252/32 | 23.2.4.252 to 23.2.4.252 | — | 1 |
| 254 | 23.2.4.253/32 | 23.2.4.253 to 23.2.4.253 | — | 1 |
| 255 | 23.2.4.254/32 | 23.2.4.254 to 23.2.4.254 | — | 1 |
| 256 | 23.2.4.255/32 | 23.2.4.255 to 23.2.4.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |